Compute Management/VM Related Interfaces
GETVM Related InterfacesSince 0.6SynchronousAuth Required
Get Data Volume Attachable VM
Get Data Volume Attachable VM
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Query Parameters
Request Inputs
Path Parameters
volumeUuidStringRequiredDisk UUID
Query Parameters
systemTagsListSystem Tag
userTagsListUser Tag
Responses
Endpoint
GET/zstack/v1/volumes/{volumeUuid}/candidate-vm-instances
/zstack/v1/volumes/{volumeUuid}/candidate-vm-instances
Request Example
curl -X GET 'http://{host}/zstack/v1/volumes/{volumeUuid}/candidate-vm-instances?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "uuid": "bf72fb9469a33da5ad1c8974635b3064", "name": "Test-VM", "description": "web server VM", "zoneUuid": "b9c2149d168438afb1d2186fc12464bb", "clusterUuid": "eabd65e18e70330f8938f2b5c70fe745", "imageUuid": "be2ac9b13ca633f0a67bcc649523f964", "hostUuid": "3563ced5d39b3353b06c96c302a80df4", "lastHostUuid": "01e07135ba293c4aac03ca48aaf9ae7d", "instanceOfferingUuid": "87e5f856f19131a385ef056a9115ef49", "rootVolumeUuid": "4e62926dd5493df5be4fe39631c29fa2", "platform": "Linux", "defaultL3NetworkUuid": "4a1779bb39f93b5c97054fa862b02e7b", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8589934592, "cpuNum": 1, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "0800827948803d9db97f8175f596a6fa", "vmInstanceUuid": "bf72fb9469a33da5ad1c8974635b3064", "usedIpUuid": "a79bcd1711f131cb9df691820514cf5b", "l3NetworkUuid": "4a1779bb39f93b5c97054fa862b02e7b", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0, "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ], "allVolumes": [ { "uuid": "4e62926dd5493df5be4fe39631c29fa2", "name": "Root-Volume-For-VM-bf72fb9469a33da5ad1c8974635b3064", "primaryStorageUuid": "baaf4f9809d633229c60b7197536ad3e", "vmInstanceUuid": "bf72fb9469a33da5ad1c8974635b3064", "diskOfferingUuid": "8d7b24886e1339e69fbc6eec2766c5f8", "rootImageUuid": "be2ac9b13ca633f0a67bcc649523f964", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-4e62926dd5493df5be4fe39631c29fa2/4e62926dd5493df5be4fe39631c29fa2.qcow2", "type": "Root", "format": "qcow2", "size": 107374182400, "actualSize": 21474836480, "deviceId": 0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] } ] }Change History
This API has no change history records yet.
